
//	Piblic functions definitions
// val : 1 or 0
void setPix(uint16_t x, uint16_t y, int val);
//
void	vidInit(void);
void	vidClearScreen(void);
void  vidDrawFrame(void);
void vidDrawGrid(void);

// cf http://tinyvga.com/vga-timing/800x600@60Hz
// things happen in this sequence
#define SYNCX 96
#define BACKX 8
#define SIZEX 624 // 624. 78 chars/bytes. should be multiple of 8 
#define FRONTX 8 // 1 bytes. Must be a multiple of 8
#define TOTALX (SIZEX+FRONTX+SYNCX+BACKX)

// things happen in this sequence
#define SYNCY 2
#define BACKY 33
#define SIZEY 480
#define FRONTY 10
#define TOTALY (SIZEY+FRONTY+SYNCY+BACKY)



//#define TOTAL_PIXELS (TOTALX*TOTALY) // doit tre un multiple de 8
//#define TOTAL_BYTES  (TOTAL_PIXELS/8)

#define	VID_HSIZE		(SIZEX/8)		// Horizontal resolution (in bytes) not counting front porch
#define	VID_PIXELS_X	(VID_HSIZE * 8)
#define	VID_PIXELS_XR	(VID_PIXELS_X + FRONTX)
#define	VID_HSIZE_R		(VID_HSIZE + FRONTX/8) // number of bytes sent by SPI. Should be a multiple of 4 ???

#define	VID_VSIZE		SIZEY	     	// Vertical resolution (in lines)
#define	VID_PIXELS_Y	VID_VSIZE

#define VID_SIZE (VID_HSIZE*VID_VSIZE) 




extern uint8_t fb[VID_VSIZE][VID_HSIZE+1];	/* Frame buffer including h front borch*/

