#define  M_PI ((float)3.14159265358979323846f)

extern uint32_t gSecondCounter;

void crash(uint8_t crash_code);


// Crash Codes
#define CC_CODE_SINCOS 0x01
#define CC_UNKNOWN_HAL_STATUS_CODE 0x02
#define CC_TO_MANY_COMMANDS 0x03
#define CC_SW_ERROR_CMD_MNGR 0x04
#define CC_UNMANAGED_WF_SP_STATE 0x05
#define CC_SW_ERROR_ROLLOVER 0x06
#define CC_MUST_INCREASE_PARSER_BUFFER_SIZE 0x07
#define CC_DMA_TIM2_CH1_FAILED 0x08
//#define CC_DMA_TIM8_CH3_FAILED 0x09
#define CC_MEMMANAGE_FAULT 0x0A
#define CC_BUS_FAULT 0x0B
#define CC_USAGE_FAULT 0x0C
#define CC_WIFI_STARTUP_FAILED 0x0D
#define CC_SERIAL_OVERFLOW_TX_WIFI 0x0E
#define CC_SERIAL_OVERFLOW_TX_PC 0x0F
#define CC_MAIN_POWER_UP_FAILED 0x10

#define CC_DAC1_CONV1_FAILED 0x11
#define CC_DAC1_CONV2_FAILED 0x12

#define CC_HARD_FAULT 0xFF


#define RunLedOn() HAL_GPIO_WritePin(LD3_GPIO_Port,LD3_Pin,GPIO_PIN_SET)
#define RunLedOff() HAL_GPIO_WritePin(LD3_GPIO_Port,LD3_Pin,GPIO_PIN_RESET)
#define RunLedToggle() HAL_GPIO_TogglePin(LD3_GPIO_Port,LD3_Pin)


typedef uint8_t bool;
#define true 1
#define false 0


