#include "stm32l4xx_hal.h"
#include "globals.h"
#include "video.h"
#include "math.h"

void draw_circle(uint16_t x, uint16_t y, int r)
{
	float a;
	float af;
	uint16_t xx,yy;
	
	
	for (a=0;a<360;a+=0.2f)
	{
		af = M_PI/180*a;
		xx = x+r*cos(af);
		yy = y+r*sin(af);
		setPix(xx,yy,1);
	}
}

